diff --git a/changelog b/changelog
index f2d93ae..c467da5 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,9 @@
+20080328 tpd src/input/Makefile add integration regression testing
+20080328 tpd src/input/schaum6.input integrals of x^2+a^2
+20080328 tpd src/input/schaum5.input integrals of sqrt(ax+b) and sqrt(px+q)
+20080328 tpd src/input/schaum4.input integrals of sqrt(ax+b) and px+q
+20080328 tpd src/input/schaum3.input integrals of ax+b and px+q
+20080328 tpd src/input/schaum2.input integrals of sqrt(ax+b)
 20080325 tpd Makefile VERSION="Axiom (March 2008)"
 20080325 tpd src/algebra/axserver.spad set up handling of operations pages
 20080325 tpd src/interp/interp-proclaims.lisp case-change display
diff --git a/src/input/Makefile.pamphlet b/src/input/Makefile.pamphlet
index 2b626c3..d4caed2 100644
--- a/src/input/Makefile.pamphlet
+++ b/src/input/Makefile.pamphlet
@@ -355,7 +355,8 @@ REGRES= algaggr.regress algbrbf.regress  algfacob.regress alist.regress  \
     r21bugsbig.regress r21bugs.regress radff.regress    radix.regress \
     realclos.regress  reclos.regress   repa6.regress    robidoux.regress \
     roman.regress     roots.regress    ruleset.regress  rules.regress \
-    schaum1.regress \
+    schaum1.regress   schaum2.regress  schaum3.regress  schaum4.regress \
+    schaum5.regress   schaum6.regress \
     scherk.regress    scope.regress    seccsc.regress \
     segbind.regress   seg.regress \
     series2.regress   series.regress   sersolve.regress set.regress \
@@ -628,6 +629,8 @@ FILES= ${OUT}/algaggr.input  ${OUT}/algbrbf.input    ${OUT}/algfacob.input \
        ${OUT}/reclos.input   ${OUT}/regset.input     \
        ${OUT}/robidoux.input ${OUT}/roman.input      ${OUT}/roots.input \
        ${OUT}/ruleset.input  ${OUT}/rules.input      ${OUT}/schaum1.input \
+       ${OUT}/schaum2.input  ${OUT}/schaum3.input    ${OUT}/schaum4.input \
+       ${OUT}/schaum5.input  ${OUT}/schaum6.input \
        ${OUT}/saddle.input \
        ${OUT}/scherk.input   ${OUT}/scope.input      ${OUT}/seccsc.input \
        ${OUT}/segbind.input  ${OUT}/seg.input        ${OUT}/series2.input \
@@ -926,7 +929,9 @@ DOCFILES= \
   ${DOC}/robidoux.input.dvi    ${DOC}/roman.input.dvi      \
   ${DOC}/romnum.as.dvi         ${DOC}/roots.input.dvi      \
   ${DOC}/ruleset.input.dvi     ${DOC}/rules.input.dvi      \
-  ${DOC}/schaum1.input.dvi \
+  ${DOC}/schaum1.input.dvi     ${DOC}/schaum2.input.dvi \
+  ${DOC}/schaum3.input.dvi     ${DOC}/schaum4.input.dvi \
+  ${DOC}/schaum5.input.dvi     ${DOC}/schaum6.input.dvi \
   ${DOC}/s01eaf.input.dvi      ${DOC}/s13aaf.input.dvi     \
   ${DOC}/s13acf.input.dvi      ${DOC}/s13adf.input.dvi     \
   ${DOC}/s14aaf.input.dvi      ${DOC}/s14abf.input.dvi     \
diff --git a/src/input/schaum2.input.pamphlet b/src/input/schaum2.input.pamphlet
new file mode 100644
index 0000000..cb8e6db
--- /dev/null
+++ b/src/input/schaum2.input.pamphlet
@@ -0,0 +1,1464 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum2.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.84~~~~~$\displaystyle\int{\frac{dx}{\sqrt{ax+b}}}$}
+$$\int{\frac{dx}{\sqrt{ax+b}}}=\frac{2\sqrt{ax+b}}{a}$$
+<<*>>=
+)spool schaum2.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 92
+aa:=integrate(1/sqrt(a*x+b),x)
+--R 
+--R
+--R          +-------+
+--R        2\|a x + b
+--R   (1)  -----------
+--R             a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 2 of 92
+bb:=(2*sqrt(a*x+b))/a
+--R 
+--R
+--R          +-------+
+--R        2\|a x + b
+--R   (2)  -----------
+--R             a
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 3 of 92
+cc:=aa-bb
+--R 
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.85~~~~~$\displaystyle\int{\frac{x~dx}{\sqrt{ax+b}}}$}
+$$\int{\frac{x~dx}{\sqrt{ax+b}}}=\frac{2(ax-2b)}{3a^2}\sqrt{ax+b}$$
+<<*>>=
+)clear all
+
+--S 4 of 92
+aa:=integrate(x/sqrt(a*x+b),x)
+--R 
+--R
+--R                    +-------+
+--R        (2a x - 4b)\|a x + b
+--R   (1)  ---------------------
+--R                   2
+--R                 3a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 5 of 92
+bb:=(2*(a*x-2*b))/(3*a^2)*sqrt(a*x+b)
+--R 
+--R
+--R                    +-------+
+--R        (2a x - 4b)\|a x + b
+--R   (2)  ---------------------
+--R                   2
+--R                 3a
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 6 of 92
+cc:=aa-bb
+--R 
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.86~~~~~$\displaystyle\int{\frac{x^2~dx}{\sqrt{ax+b}}}$}
+$$\int{\frac{x~dx}{\sqrt{ax+b}}}=
+\frac{2(3a^2x^2-4abx+8b^2)}{15a^2}\sqrt{ax+b}$$
+<<*>>=
+)clear all
+
+--S 7 of 92
+aa:=integrate(x^2/sqrt(a*x+b),x)
+--R 
+--R
+--R           2 2               2  +-------+
+--R        (6a x  - 8a b x + 16b )\|a x + b
+--R   (1)  ---------------------------------
+--R                          3
+--R                       15a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 8 of 92
+bb:=(2*(3*a^2*x^2-4*a*b*x+8*b^2))/(15*a^3)*sqrt(a*x+b)
+--R 
+--R
+--R           2 2               2  +-------+
+--R        (6a x  - 8a b x + 16b )\|a x + b
+--R   (2)  ---------------------------------
+--R                          3
+--R                       15a
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 9 of 92
+cc:=aa-bb
+--R 
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.87~~~~~$\displaystyle\int{\frac{dx}{x\sqrt{ax+b}}}$}
+$$\int{\frac{dx}{x\sqrt{ax+b}}}=
+\left\{
+\begin{array}{l}
+\displaystyle
+\frac{1}{\sqrt{b}}~\ln
+\left(\frac{\sqrt{ax+b}-\sqrt{b}}{\sqrt{ax+b}+\sqrt{b}}\right)\\
+\displaystyle
+\frac{2}{\sqrt{-b}}~\tan^{-1}\sqrt{\frac{ax+b}{-b}}
+\end{array}
+\right.$$
+
+Note: the first answer assumes $b > 0$ and the second assumes $b < 0$.
+<<*>>=
+)clear all
+
+--S 10 of 92
+aa:=integrate(1/(x*sqrt(a*x+b)),x)
+--R 
+--R
+--R                  +-------+              +-+           +---+ +-------+
+--R             - 2b\|a x + b  + (a x + 2b)\|b           \|- b \|a x + b
+--R         log(-------------------------------)   2atan(----------------)
+--R                            x                                 b
+--R   (1)  [------------------------------------,- -----------------------]
+--R                          +-+                             +---+
+--R                         \|b                             \|- b
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+Cleary Spiegel's first answer assumes $b > 0$:
+<<*>>=
+--S 11 of 92
+bb1:=1/sqrt(b)*log((sqrt(a*x+b)-sqrt(b))/(sqrt(a*x+b)+sqrt(b)))
+--R 
+--R
+--R             +-------+    +-+
+--R            \|a x + b  - \|b
+--R        log(-----------------)
+--R             +-------+    +-+
+--R            \|a x + b  + \|b
+--R   (2)  ----------------------
+--R                  +-+
+--R                 \|b
+--R                                                     Type: Expression Integer
+--E
+@
+So we try the difference of the two results
+<<*>>=
+--S 12 of 92
+cc11:=aa.1-bb1
+--R
+--R               +-------+    +-+             +-------+              +-+
+--R              \|a x + b  - \|b         - 2b\|a x + b  + (a x + 2b)\|b
+--R        - log(-----------------) + log(-------------------------------)
+--R               +-------+    +-+                       x
+--R              \|a x + b  + \|b
+--R   (3)  ---------------------------------------------------------------
+--R                                       +-+
+--R                                      \|b
+--R                                                     Type: Expression Integer
+--E
+@
+But the results don't simplify to 0. So we try some other tricks.
+
+Since both functions are of the form log(f(x))/sqrt(b) we extract
+the f(x) from each. First we get the function from Axiom's first answer:
+<<*>>=
+--S 13 of 92
+ff:=exp(aa.1*sqrt(b))
+--R
+--R             +-------+              +-+
+--R        - 2b\|a x + b  + (a x + 2b)\|b
+--R   (4)  -------------------------------
+--R                       x
+--R                                                     Type: Expression Integer
+--E
+@
+and we get the same form from Spiegel's answer
+<<*>>=
+--S 14 of 92
+gg:=exp(bb1*sqrt(b))
+--R
+--R         +-------+    +-+
+--R        \|a x + b  - \|b
+--R   (5)  -----------------
+--R         +-------+    +-+
+--R        \|a x + b  + \|b
+--R                                                     Type: Expression Integer
+--E
+@
+We can change Spiegel's form into Axiom's form because they differ by
+the constant a*sqrt(b). To see this we multiply the numerator and
+denominator by $1 == (sqrt(a*x+b) - sqrt(b))/(sqrt(a*x+b) - sqrt(b))$.
+
+First we multiply the numerator by $(sqrt(a*x+b) - sqrt(b))$
+<<*>>=
+--S 15 of 92
+gg1:=gg*(sqrt(a*x+b) - sqrt(b))
+--R
+--R            +-+ +-------+
+--R        - 2\|b \|a x + b  + a x + 2b
+--R   (6)  ----------------------------
+--R               +-------+    +-+
+--R              \|a x + b  + \|b
+--R                                                     Type: Expression Integer
+--E
+@
+Now we multiply the denominator by $(sqrt(a*x+b) - sqrt(b))$
+<<*>>=
+--S 16 of 92
+gg2:=gg1/(sqrt(a*x+b) - sqrt(b))
+--R
+--R            +-+ +-------+
+--R        - 2\|b \|a x + b  + a x + 2b
+--R   (7)  ----------------------------
+--R                     a x
+--R                                                     Type: Expression Integer
+--E
+@
+and now we multiply by the integration constant $a*sqrt(b)$
+<<*>>=
+--S 17 of 92
+gg3:=gg2*(a*sqrt(b))
+--R
+--R             +-------+              +-+
+--R        - 2b\|a x + b  + (a x + 2b)\|b
+--R   (8)  -------------------------------
+--R                       x
+--R                                                     Type: Expression Integer
+--E
+@
+and when we difference this with ff, the Axiom answer we get:
+<<*>>=
+--S 18 of 92
+ff-gg3
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E
+@
+So the constant of integration difference is $a*sqrt(b)$
+
+Now we look at the second equations. We difference Axiom's second answer
+from Spiegel's answer:
+<<*>>=
+--S 19 of 92
+t1:=aa.2-bb1
+--R
+--R                      +-------+    +-+               +---+ +-------+
+--R            +---+    \|a x + b  - \|b       +-+     \|- b \|a x + b
+--R         - \|- b log(-----------------) - 2\|b atan(----------------)
+--R                      +-------+    +-+                      b
+--R                     \|a x + b  + \|b
+--R   (10)  ------------------------------------------------------------
+--R                                   +---+ +-+
+--R                                  \|- b \|b
+--R                                                     Type: Expression Integer
+--E
+@
+and again they do not simplify to zero. But we can show that both answers
+differ by a constant because the derivative is zero:
+<<*>>=
+--S 20 of 92
+D(t1,x)
+--R
+--R   (11)  0
+--R                                                     Type: Expression Integer
+--E
+@
+
+Rather than find the constant this time we will differentiate both
+answers and compare them with the original equation.
+<<*>>=
+--S 21 of 92
+target:=1/(x*sqrt(a*x+b))
+--R
+--R              1
+--R   (12)  -----------
+--R           +-------+
+--R         x\|a x + b
+--R                                                     Type: Expression Integer
+--E
+@
+and we select the second Axiom solution
+<<*>>=
+--S 22 of 92
+aa2:=aa.2
+--R
+--R                  +---+ +-------+
+--R                 \|- b \|a x + b
+--R           2atan(----------------)
+--R                         b
+--R   (13)  - -----------------------
+--R                     +---+
+--R                    \|- b
+--R                                                     Type: Expression Integer
+--E
+@
+take its derivative
+<<*>>=
+--S 23 of 92
+ad2:=D(aa2,x)
+--R
+--R              1
+--R   (14)  -----------
+--R           +-------+
+--R         x\|a x + b
+--R                                                     Type: Expression Integer
+--E
+@
+When we take the difference of Axiom's input and the derivative of the
+output we see:
+<<*>>=
+--S 24 of 92
+ad2-target
+--R
+--R   (15)  0
+--R                                                     Type: Expression Integer
+--E
+@
+Thus the original equation and Axiom's derivative of the integral are equal.
+
+Now we do the same with Spiegel's answer. We take the derivative of his
+answer.
+<<*>>=
+--S 25 of 92
+ab1:=D(bb1,x)
+--R
+--R                +-------+    +-+
+--R               \|a x + b  + \|b
+--R   (16)  ----------------------------
+--R           +-+ +-------+      2
+--R         x\|b \|a x + b  + a x  + b x
+--R                                                     Type: Expression Integer
+--E
+@
+and we difference it from the original equation
+<<*>>=
+--S 26 of 92
+ab1-target
+--R
+--R   (17)  0
+--R                                                     Type: Expression Integer
+--E
+@
+Thus the original equation and Spiegel's derivative of the integral are equal.
+
+So we can conclude that both second answers are correct although they differ
+by a constant of integration.
+
+ \section{\cite{1}:14.88~~~~~$\displaystyle\int{\frac{dx}{x^2\sqrt{ax+b}}}$}
+$$\int{\frac{dx}{x^2\sqrt{ax+b}}}=
+-\frac{\sqrt{ax+b}}{bx}-\frac{a}{2b}~\int{\frac{dx}{x\sqrt{ax+b}}}$$
+<<*>>=
+)clear all
+
+--S 27 of 92
+aa:=integrate(1/(x^2*sqrt(a*x+b)),x)
+--R 
+--R
+--R   (1)
+--R               +-------+              +-+
+--R            2b\|a x + b  + (a x + 2b)\|b       +-+ +-------+
+--R    a x log(-----------------------------) - 2\|b \|a x + b
+--R                          x
+--R   [--------------------------------------------------------,
+--R                                 +-+
+--R                            2b x\|b
+--R              +---+ +-------+
+--R             \|- b \|a x + b      +---+ +-------+
+--R    a x atan(----------------) - \|- b \|a x + b
+--R                     b
+--R    ---------------------------------------------]
+--R                          +---+
+--R                      b x\|- b
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+In order to write down the book answer we need to first take the
+integral which has two results
+<<*>>=
+--S 28 of 92
+dd:=integrate(1/(x*sqrt(a*x+b)),x)
+--R 
+--R
+--R                  +-------+              +-+           +---+ +-------+
+--R             - 2b\|a x + b  + (a x + 2b)\|b           \|- b \|a x + b
+--R         log(-------------------------------)   2atan(----------------)
+--R                            x                                 b
+--R   (2)  [------------------------------------,- -----------------------]
+--R                          +-+                             +---+
+--R                         \|b                             \|- b
+--R                                     Type: Union(List Expression Integer,...)
+--E
+@
+and derive two results for the book answer. The first result assumes
+$b > 0$
+<<*>>=
+--S 29 of 92
+bb1:=-sqrt(a*x+b)/(b*x)-a/(2*b)*dd.1
+--R 
+--R
+--R                       +-------+              +-+
+--R                  - 2b\|a x + b  + (a x + 2b)\|b       +-+ +-------+
+--R        - a x log(-------------------------------) - 2\|b \|a x + b
+--R                                 x
+--R   (3)  ------------------------------------------------------------
+--R                                       +-+
+--R                                  2b x\|b
+--R                                                     Type: Expression Integer
+--E
+@
+and the second result assumes $b < 0$.
+<<*>>=
+--S 30 of 92
+bb2:=-sqrt(a*x+b)/(b*x)-a/(2*b)*dd.2
+--R 
+--R
+--R                  +---+ +-------+
+--R                 \|- b \|a x + b      +---+ +-------+
+--R        a x atan(----------------) - \|- b \|a x + b
+--R                         b
+--R   (4)  ---------------------------------------------
+--R                              +---+
+--R                          b x\|- b
+--R                                                     Type: Expression Integer
+--E
+@
+
+So we compute the difference of Axiom's first result with Spiegel's
+first result
+<<*>>=
+--S 31 of 92
+cc11:=bb1-aa.1
+--R
+--R   (5)
+--R                  +-------+              +-+
+--R               2b\|a x + b  + (a x + 2b)\|b
+--R       - a log(-----------------------------)
+--R                             x
+--R     + 
+--R                    +-------+              +-+
+--R               - 2b\|a x + b  + (a x + 2b)\|b
+--R       - a log(-------------------------------)
+--R                              x
+--R  /
+--R        +-+
+--R     2b\|b
+--R                                                     Type: Expression Integer
+--E
+@
+we compute its derivative
+<<*>>=
+--S 32 of 92
+D(cc11,x)
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
+@
+and we can see that the answers differ by a constant, the constant of
+integration. So Axiom's first answer should differentiate back to the target
+equation.
+<<*>>=
+--S 33 of 92
+target:=1/(x^2*sqrt(a*x+b))
+--R
+--R              1
+--R   (7)  ------------
+--R         2 +-------+
+--R        x \|a x + b
+--R                                                     Type: Expression Integer
+--E
+@
+We differentiate Axiom's first answer
+<<*>>=
+--S 34 of 92
+ad1:=D(aa.1,x)
+--R
+--R                             +-+ +-------+              2
+--R                  (a x + 2b)\|b \|a x + b  + 2a b x + 2b
+--R   (8)  ----------------------------------------------------------
+--R               3     2 2  +-------+     2 4         3     2 2  +-+
+--R        (2a b x  + 2b x )\|a x + b  + (a x  + 3a b x  + 2b x )\|b
+--R                                                     Type: Expression Integer
+--E
+@
+and subtract it from the target equation
+<<*>>=
+--S 35 of 92
+ad1-target
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E
+@
+and now we do the same with first Spiegel's answer:
+<<*>>=
+--S 36 of 92
+bd1:=D(bb1,x)
+--R
+--R                                +-+ +-------+              2
+--R                   (- a x - 2b)\|b \|a x + b  + 2a b x + 2b
+--R   (10)  ------------------------------------------------------------
+--R                3     2 2  +-------+       2 4         3     2 2  +-+
+--R         (2a b x  + 2b x )\|a x + b  + (- a x  - 3a b x  - 2b x )\|b
+--R                                                     Type: Expression Integer
+--E
+@
+and we subtract it from the target
+<<*>>=
+--S 37 of 92
+bd1-target
+--R
+--R   (11)  0
+--R                                                     Type: Expression Integer
+--E
+@
+so we know that the two first answers are both correct and that their
+integrals differ by a constant.
+
+Now we look at the second answers. We difference the answers and can
+see immediately that they are equal.
+<<*>>=
+--S 38 of 92
+cc22:=bb2-aa.2
+--R 
+--R
+--R   (12)  0
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.89~~~~~$\displaystyle\int{\sqrt{ax+b}~dx}$}
+$$\int{\sqrt{ax+b}~dx}=
+\frac{2\sqrt{(ax+b)^3}}{3a}$$
+<<*>>=
+)clear all
+
+--S 39 of 92
+aa:=integrate(sqrt(a*x+b),x)
+--R 
+--R
+--R                    +-------+
+--R        (2a x + 2b)\|a x + b
+--R   (1)  ---------------------
+--R                  3a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 40 of 92
+bb:=(2*sqrt((a*x+b)^3))/(3*a)
+--R 
+--R
+--R          +----------------------------+
+--R          | 3 3     2   2       2     3
+--R        2\|a x  + 3a b x  + 3a b x + b
+--R   (2)  --------------------------------
+--R                       3a
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 41 of 92
+cc:=aa-bb
+--R
+--R            +----------------------------+
+--R            | 3 3     2   2       2     3                +-------+
+--R        - 2\|a x  + 3a b x  + 3a b x + b   + (2a x + 2b)\|a x + b
+--R   (3)  ----------------------------------------------------------
+--R                                    3a
+--R                                                     Type: Expression Integer
+--E
+@
+Since this didn't simplify we could check each answer using the derivative
+<<*>>=
+--S 42 of 92
+target:=sqrt(a*x+b)
+--R
+--R         +-------+
+--R   (4)  \|a x + b
+--R                                                     Type: Expression Integer
+--E
+@
+We take the derivative of Axiom's answer
+<<*>>=
+--S 43 of 92
+t1:=D(aa,x)
+--R
+--R          a x + b
+--R   (5)  ----------
+--R         +-------+
+--R        \|a x + b
+--R                                                     Type: Expression Integer
+--E
+@
+And we subtract the target from the derivative of Axiom's answer
+<<*>>=
+--S 44 of 92
+t1-target
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
+@
+So they are equal. Now we do the same with Spiegel's answer
+<<*>>=
+--S 45 of 92
+t2:=D(bb,x)
+--R
+--R                2 2             2
+--R               a x  + 2a b x + b
+--R   (7)  -------------------------------
+--R         +----------------------------+
+--R         | 3 3     2   2       2     3
+--R        \|a x  + 3a b x  + 3a b x + b
+--R                                                     Type: Expression Integer
+--E
+@
+The numerator is
+<<*>>=
+--S 46 of 92
+nn:=(a*x+b)^2
+--R
+--R         2 2             2
+--R   (8)  a x  + 2a b x + b
+--R                                                     Type: Polynomial Integer
+--E
+@
+<<*>>=
+--S 47 of 92
+mm:=(a*x+b)^3
+--R
+--R         3 3     2   2       2     3
+--R   (9)  a x  + 3a b x  + 3a b x + b
+--R                                                     Type: Polynomial Integer
+--E
+@
+which expands to Spiegel's version.
+<<*>>=
+--S 48 of 92
+result=nn/sqrt(mm)
+--R
+--R                         2 2             2
+--R                        a x  + 2a b x + b
+--R   (10)  result= -------------------------------
+--R                  +----------------------------+
+--R                  | 3 3     2   2       2     3
+--R                 \|a x  + 3a b x  + 3a b x + b
+--R                                            Type: Equation Expression Integer
+--E
+@
+and this reduces to $\sqrt{ax+b}$
+
+\section{\cite{1}:14.90~~~~~$\displaystyle\int{x\sqrt{ax+b}~dx}$}
+$$\int{x\sqrt{ax+b}~dx}=
+\frac{2(3ax-2b)}{15a^2}~\sqrt{(ax+b)^3}$$
+<<*>>=
+)clear all
+
+--S 49 of 92
+aa:=integrate(x*sqrt(a*x+b),x)
+--R 
+--R
+--R           2 2              2  +-------+
+--R        (6a x  + 2a b x - 4b )\|a x + b
+--R   (1)  --------------------------------
+--R                         2
+--R                      15a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 50 of 92
+bb:=(2*(3*a*x-2*b))/(15*a^2)*sqrt((a*x+b)^3)
+--R 
+--R
+--R                    +----------------------------+
+--R                    | 3 3     2   2       2     3
+--R        (6a x - 4b)\|a x  + 3a b x  + 3a b x + b
+--R   (2)  ------------------------------------------
+--R                              2
+--R                           15a
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 51 of 92
+cc:=aa-bb
+--R
+--R   (3)
+--R                     +----------------------------+
+--R                     | 3 3     2   2       2     3
+--R       (- 6a x + 4b)\|a x  + 3a b x  + 3a b x + b
+--R     + 
+--R          2 2              2  +-------+
+--R       (6a x  + 2a b x - 4b )\|a x + b
+--R  /
+--R        2
+--R     15a
+--R                                                     Type: Expression Integer
+--E
+@
+If we had the terms
+<<*>>=
+--S 52 of 92
+t1:=(3*a*x-2*b)
+--R
+--R   (4)  3a x - 2b
+--R                                                     Type: Polynomial Integer
+--E
+@
+<<*>>=
+--S 53 of 92
+t2:=(a*x+b)
+--R
+--R   (5)  a x + b
+--R                                                     Type: Polynomial Integer
+--E
+@
+We can construct the Axiom result 
+<<*>>=
+--S 54 of 92
+2*t1*t2*sqrt(t2)/(15*a^2)
+--R
+--R           2 2              2  +-------+
+--R        (6a x  + 2a b x - 4b )\|a x + b
+--R   (6)  --------------------------------
+--R                         2
+--R                      15a
+--R                                                     Type: Expression Integer
+--E
+@
+and we can construct the Spiegel result
+<<*>>=
+--S 55 of 92
+2*t1*sqrt(t2^3)/(15*a^2)
+--R
+--R                    +----------------------------+
+--R                    | 3 3     2   2       2     3
+--R        (6a x - 4b)\|a x  + 3a b x  + 3a b x + b
+--R   (7)  ------------------------------------------
+--R                              2
+--R                           15a
+--R                                                     Type: Expression Integer
+--E
+@
+the difference of these two depends on
+<<*>>=
+--S 56 of 92
+t2*sqrt(t2)-sqrt(t2^3)
+--R
+--R           +----------------------------+
+--R           | 3 3     2   2       2     3              +-------+
+--R   (8)  - \|a x  + 3a b x  + 3a b x + b   + (a x + b)\|a x + b
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.91~~~~~$\displaystyle\int{x^2\sqrt{ax+b}~dx}$}
+$$\int{x^2\sqrt{ax+b}~dx}=
+\frac{2(15a^2x^2-12abx+8b^2)}{105a^2}~\sqrt{(a+bx)^3}$$
+Note: the sqrt term is almost certainly $\sqrt{(ax+b)}$
+<<*>>=
+)clear all
+
+--S 57 of 92
+aa:=integrate(x^2*sqrt(a*x+b),x)
+--R 
+--R
+--R            3 3     2   2       2       3  +-------+
+--R        (30a x  + 6a b x  - 8a b x + 16b )\|a x + b
+--R   (1)  --------------------------------------------
+--R                                3
+--R                            105a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 58 of 92
+bb:=(2*(15*a^2*x^2-12*a*b*x+8*b^2))/(105*a^2)*sqrt((a*x+b)^3)
+--R 
+--R
+--R                                  +----------------------------+
+--R            2 2                2  | 3 3     2   2       2     3
+--R        (30a x  - 24a b x + 16b )\|a x  + 3a b x  + 3a b x + b
+--R   (2)  --------------------------------------------------------
+--R                                      2
+--R                                  105a
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 59 of 92
+cc:=aa-bb
+--R 
+--R
+--R   (3)
+--R                                     +----------------------------+
+--R             3 2      2           2  | 3 3     2   2       2     3
+--R       (- 30a x  + 24a b x - 16a b )\|a x  + 3a b x  + 3a b x + b
+--R     + 
+--R           3 3     2   2       2       3  +-------+
+--R       (30a x  + 6a b x  - 8a b x + 16b )\|a x + b
+--R  /
+--R         3
+--R     105a
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.92~~~~~$\displaystyle\int{\frac{\sqrt{ax+b}}{x}~dx}$}
+$$\int{\frac{\sqrt{ax+b}}{x}~dx}=
+2\sqrt{ax+b}+b~\int{\frac{dx}{x\sqrt{ax+b}}}$$
+<<*>>=
+)clear all
+
+--S 60 of 92
+aa:=integrate(sqrt(a*x+b)/x,x)
+--R 
+--R
+--R   (1)
+--R                +-+ +-------+
+--R     +-+    - 2\|b \|a x + b  + a x + 2b      +-------+
+--R   [\|b log(----------------------------) + 2\|a x + b ,
+--R                          x
+--R                   +-------+
+--R        +---+     \|a x + b       +-------+
+--R    - 2\|- b atan(----------) + 2\|a x + b ]
+--R                     +---+
+--R                    \|- b
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 61 of 92
+dd:=integrate(1/(x*sqrt(a*x+b)),x)
+--R 
+--R
+--R                  +-------+              +-+           +---+ +-------+
+--R             - 2b\|a x + b  + (a x + 2b)\|b           \|- b \|a x + b
+--R         log(-------------------------------)   2atan(----------------)
+--R                            x                                 b
+--R   (2)  [------------------------------------,- -----------------------]
+--R                          +-+                             +---+
+--R                         \|b                             \|- b
+--R                                     Type: Union(List Expression Integer,...)
+--E
+@
+<<*>>=
+--S 62 of 92
+bb1:=2*sqrt(a*x+b)+b*dd.1
+--R 
+--R
+--R                   +-------+              +-+
+--R              - 2b\|a x + b  + (a x + 2b)\|b       +-+ +-------+
+--R        b log(-------------------------------) + 2\|b \|a x + b
+--R                             x
+--R   (3)  --------------------------------------------------------
+--R                                   +-+
+--R                                  \|b
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 63 of 92
+bb2:=2*sqrt(a*x+b)+b*dd.2
+--R 
+--R
+--R                   +---+ +-------+
+--R                  \|- b \|a x + b       +---+ +-------+
+--R        - 2b atan(----------------) + 2\|- b \|a x + b
+--R                          b
+--R   (4)  -----------------------------------------------
+--R                              +---+
+--R                             \|- b
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 64 of 92
+cc11:=bb1-aa.1
+--R 
+--R
+--R   (5)
+--R              +-------+              +-+              +-+ +-------+
+--R         - 2b\|a x + b  + (a x + 2b)\|b           - 2\|b \|a x + b  + a x + 2b
+--R   b log(-------------------------------) - b log(----------------------------)
+--R                        x                                       x
+--R   ----------------------------------------------------------------------------
+--R                                        +-+
+--R                                       \|b
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 65 of 92
+cc12:=bb1-aa.2
+--R 
+--R
+--R                   +-------+              +-+                     +-------+
+--R              - 2b\|a x + b  + (a x + 2b)\|b       +---+ +-+     \|a x + b
+--R        b log(-------------------------------) + 2\|- b \|b atan(----------)
+--R                             x                                      +---+
+--R                                                                   \|- b
+--R   (6)  --------------------------------------------------------------------
+--R                                         +-+
+--R                                        \|b
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 66 of 92
+cc21:=bb2-aa.1
+--R 
+--R
+--R   (7)
+--R                       +-+ +-------+                        +---+ +-------+
+--R      +---+ +-+    - 2\|b \|a x + b  + a x + 2b            \|- b \|a x + b
+--R   - \|- b \|b log(----------------------------) - 2b atan(----------------)
+--R                                 x                                 b
+--R   -------------------------------------------------------------------------
+--R                                      +---+
+--R                                     \|- b
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 67 of 92
+cc22:=bb2-aa.2
+--R 
+--R
+--R                   +---+ +-------+             +-------+
+--R                  \|- b \|a x + b             \|a x + b
+--R        - 2b atan(----------------) - 2b atan(----------)
+--R                          b                      +---+
+--R                                                \|- b
+--R   (8)  -------------------------------------------------
+--R                               +---+
+--R                              \|- b
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.93~~~~~$\displaystyle\int{\frac{\sqrt{ax+b}}{x^2}~dx}$}
+$$\int{\frac{\sqrt{ax+b}}{x^2}~dx}=
+-\frac{\sqrt{ax+b}}{x}+\frac{a}{2}~\int{\frac{dx}{x\sqrt{ax+b}}}$$
+<<*>>=
+)clear all
+
+--S 68 of 92
+aa:=integrate(sqrt(a*x+b)/x^2,x)
+--R 
+--R
+--R   (1)
+--R                 +-------+              +-+
+--R            - 2b\|a x + b  + (a x + 2b)\|b       +-+ +-------+
+--R    a x log(-------------------------------) - 2\|b \|a x + b
+--R                           x
+--R   [----------------------------------------------------------,
+--R                                 +-+
+--R                              2x\|b
+--R                +---+ +-------+
+--R               \|- b \|a x + b      +---+ +-------+
+--R    - a x atan(----------------) - \|- b \|a x + b
+--R                       b
+--R    -----------------------------------------------]
+--R                          +---+
+--R                        x\|- b
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 69 of 92
+dd:=integrate(1/(x*sqrt(a*x+b)),x)
+--R 
+--R
+--R                  +-------+              +-+           +---+ +-------+
+--R             - 2b\|a x + b  + (a x + 2b)\|b           \|- b \|a x + b
+--R         log(-------------------------------)   2atan(----------------)
+--R                            x                                 b
+--R   (2)  [------------------------------------,- -----------------------]
+--R                          +-+                             +---+
+--R                         \|b                             \|- b
+--R                                     Type: Union(List Expression Integer,...)
+--E
+@
+<<*>>=
+--S 70 of 92
+bb1:=-sqrt(a*x+b)/x+a/2*dd.1
+--R 
+--R
+--R                     +-------+              +-+
+--R                - 2b\|a x + b  + (a x + 2b)\|b       +-+ +-------+
+--R        a x log(-------------------------------) - 2\|b \|a x + b
+--R                               x
+--R   (3)  ----------------------------------------------------------
+--R                                     +-+
+--R                                  2x\|b
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 71 of 92
+bb2:=-sqrt(a*x+b)/x+a/2*dd.2
+--R 
+--R
+--R                    +---+ +-------+
+--R                   \|- b \|a x + b      +---+ +-------+
+--R        - a x atan(----------------) - \|- b \|a x + b
+--R                           b
+--R   (4)  -----------------------------------------------
+--R                              +---+
+--R                            x\|- b
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 72 of 92
+cc11:=bb1-aa.1
+--R 
+--R
+--R   (5)  0
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 73 of 92
+cc21:=bb-aa.1
+--R 
+--R
+--R   (6)
+--R                  +-------+              +-+
+--R             - 2b\|a x + b  + (a x + 2b)\|b       +-+ +-------+         +-+
+--R   - a x log(-------------------------------) + 2\|b \|a x + b  + 2bb x\|b
+--R                            x
+--R   ------------------------------------------------------------------------
+--R                                       +-+
+--R                                    2x\|b
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 74 of 92
+cc12:=bb1-aa.2
+--R 
+--R
+--R   (7)
+--R                   +-------+              +-+                +---+ +-------+
+--R     +---+    - 2b\|a x + b  + (a x + 2b)\|b        +-+     \|- b \|a x + b
+--R   a\|- b log(-------------------------------) + 2a\|b atan(----------------)
+--R                             x                                      b
+--R   --------------------------------------------------------------------------
+--R                                     +---+ +-+
+--R                                   2\|- b \|b
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 75 of 92
+cc22:=bb2-aa.2
+--R 
+--R
+--R   (8)  0
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.94~~~~~$\displaystyle\int{\frac{x^m}{\sqrt{ax+b}}~dx}$}
+$$\int{\frac{x^m}{\sqrt{ax+b}}~dx}=
+\frac{2x^m\sqrt{ax+b}}{(2m+1)a}-\frac{2mb}{(2m+1)a}
+~\int{\frac{x^{m-1}}{\sqrt{ax+b}}~dx}$$
+<<*>>=
+)clear all
+
+--S 76 of 92
+aa:=integrate(x^m/sqrt(a*x+b),x)
+--R 
+--R
+--R           x       m
+--I         ++      %L
+--I   (1)   |   ----------- d%L
+--R        ++    +--------+
+--I             \|b + %L a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.95~~~~~$\displaystyle\int{\frac{dx}{x^m\sqrt{ax+b}}}$}
+$$\int{\frac{dx}{x^m\sqrt{ax+b}}}=
+-\frac{\sqrt{ax+b}}{(m-1)bx^{m-1}}-\frac{(2m-3)a}{(2m-2)b}
+~\int{\frac{dx}{x^{m-1}\sqrt{ax+b}}}$$
+<<*>>=
+)clear all
+
+--S 77 of 92
+aa:=integrate(1/(x^m*sqrt(a*x+b)),x)
+--R 
+--R
+--R           x
+--R         ++         1
+--I   (1)   |   -------------- d%L
+--R        ++     m +--------+
+--I             %L \|b + %L a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.96~~~~~$\displaystyle\int{x^m\sqrt{ax+b}~dx}$}
+$$\int{x^m\sqrt{ax+b}~dx}=
+\frac{2x^m}{(2m+3)a}(ax+b)^{3/2}
+-\frac{2mb}{(2m+3)a}~\int{x^{m-1}\sqrt{ax+b}~dx}$$
+<<*>>=
+)clear all
+
+--S 78 of 92
+aa:=integrate(x^m*sqrt(a*x+b),x)
+--R 
+--R
+--R           x
+--R         ++    m +--------+
+--I   (1)   |   %L \|b + %L a d%L
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.97~~~~~$\displaystyle\int{\frac{\sqrt{ax+b}}{x^m}~dx}$}
+$$\int{\frac{\sqrt{ax+b}}{x^m}~dx}=
+-\frac{\sqrt{ax+b}}{(m-1)x^{m-1}}
++\frac{a}{2(m-1)}~\int{\frac{dx}{x^{m-1}\sqrt{ax+b}}}$$
+<<*>>=
+)clear all
+
+--S 79 of 92
+aa:=integrate(sqrt(a*x+b)/x^m,x)
+--R 
+--R
+--R           x  +--------+
+--I         ++  \|b + %L a
+--I   (1)   |   ----------- d%L
+--R        ++         m
+--I                 %L
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.98~~~~~$\displaystyle\int{\frac{\sqrt{ax+b}}{x^m}~dx}$}
+$$\int{\frac{\sqrt{ax+b}}{x^m}~dx}=
+\frac{-(ax+b)^{3/2}}{(m-1)bx^{m-1}}
+-\frac{(2m-5)a}{(2m-2)b}~\int{\frac{\sqrt{ax+b}}{x^{m-1}}~dx}$$
+Note: 14.98 is the same as 14.97
+<<*>>=
+)clear all
+
+--S 80 of 92
+aa:=integrate(sqrt(a*x+b)/x^m,x)
+--R 
+--R
+--R           x  +--------+
+--I         ++  \|b + %L a
+--I   (1)   |   ----------- d%L
+--R        ++         m
+--I                 %L
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.99~~~~~$\displaystyle\int{(ax+b)^{m/2}~dx}$}
+$$\int{(ax+b)^{m/2}~dx}=
+\frac{2(ax+b)^{(m+2)/2}}{a(m+2)}$$
+<<*>>=
+)clear all
+
+--S 81 of 92
+aa:=integrate((a*x+b)^(m/2),x)
+--R 
+--R
+--R                     m log(a x + b)
+--R                     --------------
+--R                            2
+--R        (2a x + 2b)%e
+--R   (1)  ---------------------------
+--R                  a m + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 82 of 92
+bb:=(2*(a*x+b)^((m+2)/2))/(a*(m+2))
+--R 
+--R
+--R                  m + 2
+--R                  -----
+--R                    2
+--R        2(a x + b)
+--R   (2)  ---------------
+--R            a m + 2a
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 83 of 92
+cc:=aa-bb
+--R 
+--R
+--R                     m log(a x + b)             m + 2
+--R                     --------------             -----
+--R                            2                     2
+--R        (2a x + 2b)%e               - 2(a x + b)
+--R   (3)  ---------------------------------------------
+--R                           a m + 2a
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.100~~~~~$\displaystyle\int{x(ax+b)^{m/2}~dx}$}
+$$\int{x(ax+b)^{m/2}~dx}=
+\frac{2(ax+b)^{(m+4)/2}}{a^2(m+4)}
+-\frac{2b(ax+b)^{(m+2)/2}}{a^2(m+2)}$$
+<<*>>=
+)clear all
+
+--S 84 of 92
+aa:=integrate(x*(a*x+b)^(m/2),x)
+--R 
+--R
+--R                                           m log(a x + b)
+--R                                           --------------
+--R            2      2  2                2          2
+--R        ((2a m + 4a )x  + 2a b m x - 4b )%e
+--R   (1)  -------------------------------------------------
+--R                         2 2     2      2
+--R                        a m  + 6a m + 8a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 85 of 92
+bb:=(2*(a*x+b)^((m+4)/2))/(a^2*(m+4))-(2*b*(a*x+b)^((m+2)/2))/(a^2*(m+2))
+--R 
+--R
+--R                         m + 4                         m + 2
+--R                         -----                         -----
+--R                           2                             2
+--R        (2m + 4)(a x + b)      + (- 2b m - 8b)(a x + b)
+--R   (2)  ----------------------------------------------------
+--R                           2 2     2      2
+--R                          a m  + 6a m + 8a
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 86 of 92
+cc:=aa-bb
+--R 
+--R
+--R   (3)
+--R                                          m log(a x + b)
+--R                                          --------------
+--R           2      2  2                2          2
+--R       ((2a m + 4a )x  + 2a b m x - 4b )%e
+--R     + 
+--R                          m + 4                       m + 2
+--R                          -----                       -----
+--R                            2                           2
+--R       (- 2m - 4)(a x + b)      + (2b m + 8b)(a x + b)
+--R  /
+--R      2 2     2      2
+--R     a m  + 6a m + 8a
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.101~~~~~$\displaystyle\int{x^2(ax+b)^{m/2}~dx}$}
+$$\int{x^2(ax+b)^{m/2}~dx}=
+\frac{2(ax+b)^{(m+6)/2}}{a^3(m+6)}
+-\frac{4b(ax+b)^{(m+4)/2}}{a^3(m+4)}
++\frac{2b^2(ax+b)^{(m+2)/2}}{a^3(m+2)}$$
+<<*>>=
+)clear all
+
+--S 87 of 92
+aa:=integrate(x^2*(a*x+b)^(m/2),x)
+--R 
+--R
+--R   (1)
+--R           3 2      3       3  3      2   2     2     2       2         3
+--R       ((2a m  + 12a m + 16a )x  + (2a b m  + 4a b m)x  - 8a b m x + 16b )
+--R    *
+--R         m log(a x + b)
+--R         --------------
+--R                2
+--R       %e
+--R  /
+--R      3 3      3 2      3       3
+--R     a m  + 12a m  + 44a m + 48a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 88 of 92
+bb:=(2*(a*x+b)^((m+6)/2))/(a^3*(m+6))-_
+      (4*b*(a*x+b)^((m+4)/2))/(a^3*(m+4))+_
+        (2*b^2*(a*x+b)^((m+2)/2))/(a^3*(m+2))
+--R 
+--R
+--R   (2)
+--R                                m + 6                                   m + 4
+--R                                -----                                   -----
+--R          2                       2            2                          2
+--R       (2m  + 12m + 16)(a x + b)      + (- 4b m  - 32b m - 48b)(a x + b)
+--R     + 
+--R                                      m + 2
+--R                                      -----
+--R          2 2      2       2            2
+--R       (2b m  + 20b m + 48b )(a x + b)
+--R  /
+--R      3 3      3 2      3       3
+--R     a m  + 12a m  + 44a m + 48a
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 89 of 92
+cc:=aa-bb
+--R 
+--R
+--R   (3)
+--R             3 2      3       3  3      2   2     2     2       2         3
+--R         ((2a m  + 12a m + 16a )x  + (2a b m  + 4a b m)x  - 8a b m x + 16b )
+--R      *
+--R           m log(a x + b)
+--R           --------------
+--R                  2
+--R         %e
+--R     + 
+--R                                  m + 6                                 m + 4
+--R                                  -----                                 -----
+--R            2                       2          2                          2
+--R       (- 2m  - 12m - 16)(a x + b)      + (4b m  + 32b m + 48b)(a x + b)
+--R     + 
+--R                                        m + 2
+--R                                        -----
+--R            2 2      2       2            2
+--R       (- 2b m  - 20b m - 48b )(a x + b)
+--R  /
+--R      3 3      3 2      3       3
+--R     a m  + 12a m  + 44a m + 48a
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.102~~~~~$\displaystyle\int{\frac{(ax+b)^{m/2}}{x}~dx}$}
+$$\int{\frac{(ax+b)^{m/2}}{x}~dx}=
+\frac{2(ax+b)^{m/2}}{m}
++b~\int{\frac{(ax+b)^{(m-2)/2}}{x}~dx}$$
+<<*>>=
+)clear all
+
+--S 90 of 92
+aa:=integrate((a*x+b)^(m/2)/x,x)
+--R 
+--R
+--R                       m
+--R                       -
+--R           x           2
+--I         ++  (b + %L a)
+--I   (1)   |   ----------- d%L
+--I        ++        %L
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+\section{\cite{1}:14.103~~~~~$\displaystyle
+\int{\frac{(ax+b)^{m/2}}{x^2}~dx}$}
+$$\int{\frac{(ax+b)^{m/2}}{x^2}~dx}=
+-\frac{(ax+b)^{(m+2)/2}}{bx}
++\frac{ma}{2b}~\int{\frac{(ax+b)^{m/2}}{x}~dx}$$
+<<*>>=
+)clear all
+
+--S 91 of 92
+aa:=integrate((a*x+b)^(m/2)/x^2,x)
+--R 
+--R
+--R                       m
+--R                       -
+--R           x           2
+--I         ++  (b + %L a)
+--I   (1)   |   ----------- d%L
+--R        ++         2
+--I                 %L
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+\section{\cite{1}:14.104~~~~~$\displaystyle
+\int{\frac{dx}{x(ax+b)^{m/2}}}$}
+$$\int{\frac{dx}{x(ax+b)^{m/2}}}=
+\frac{2}{(m-2)b(ax+b)^{(m-2)/2}}
++\frac{1}{b}~\int{\frac{dx}{x(ax+b)^{(m-2)/2}}}$$
+<<*>>=
+)clear all
+
+--S 92 of 92
+aa:=integrate(1/(x*(a*x+b)^(m/2)),x)
+--R 
+--R
+--R           x
+--R         ++         1
+--I   (1)   |   -------------- d%L
+--R        ++                m
+--R                          -
+--R                          2
+--I             %L (b + %L a)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+<<*>>=
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp61-62
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum3.input.pamphlet b/src/input/schaum3.input.pamphlet
new file mode 100644
index 0000000..e273509
--- /dev/null
+++ b/src/input/schaum3.input.pamphlet
@@ -0,0 +1,409 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum3.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.105~~~~~$\displaystyle\int{\frac{dx}{(ax+b)(px+q)}}$}
+$$\int{\frac{dx}{(ax+b)(px+q)}}=
+\frac{1}{bp-aq}~\ln\left(\frac{px+q}{ax+b}\right)$$
+<<*>>=
+)spool schaum3.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 11
+aa:=integrate(1/((a*x+b)*(p*x+q)),x)
+--R 
+--R
+--R        - log(p x + q) + log(a x + b)
+--R   (1)  -----------------------------
+--R                  a q - b p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 2 of 11
+bb:=1/(b*p-a*q)*log((p*x+q)/(a*x+b))
+--R 
+--R
+--R              p x + q
+--R          log(-------)
+--R              a x + b
+--R   (2)  - ------------
+--R            a q - b p
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 3 of 11
+cc:=aa-bb
+--R 
+--R
+--R                                            p x + q
+--R        - log(p x + q) + log(a x + b) + log(-------)
+--R                                            a x + b
+--R   (3)  --------------------------------------------
+--R                          a q - b p
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.106~~~~~$\displaystyle\int{\frac{x~dx}{(ax+b)(px+q)}}$}
+$$\int{\frac{x~dx}{(ax+b)(px+q)}}=
+\frac{1}{bp-aq}\left\{\frac{b}{a}~\ln(ax+b)-\frac{q}{p}~\ln(px+q)\right\}$$
+<<*>>=
+)clear all
+
+--S 4 of 11
+aa:=integrate(x/((a*x+b)*(p*x+q)),x)
+--R 
+--R
+--R        a q log(p x + q) - b p log(a x + b)
+--R   (1)  -----------------------------------
+--R                    2           2
+--R                   a p q - a b p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 5 of 11
+bb:=1/(b*p-a*q)*(b/a*log(a*x+b)-q/p*log(p*x+q))
+--R 
+--R
+--R        a q log(p x + q) - b p log(a x + b)
+--R   (2)  -----------------------------------
+--R                    2           2
+--R                   a p q - a b p
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 6 of 11
+cc:=aa-bb
+--R 
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.107~~~~~$\displaystyle\int{\frac{dx}{(ax+b)^2(px+q)}}$}
+$$\int{\frac{dx}{(ax+b)^2(px+q)}}=
+\frac{1}{bp-aq}
+\left\{\frac{1}{ax+b}+
+\frac{p}{bp-aq}~\ln\left(\frac{px+q}{ax+b}\right)\right\}$$
+<<*>>=
+)clear all
+
+--S 7 of 11
+aa:=integrate(1/((a*x+b)^2*(p*x+q)),x)
+--R 
+--R
+--R        (a p x + b p)log(p x + q) + (- a p x - b p)log(a x + b) - a q + b p
+--R   (1)  -------------------------------------------------------------------
+--R                 3 2     2           2 2      2   2       2       3 2
+--R               (a q  - 2a b p q + a b p )x + a b q  - 2a b p q + b p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 8 of 11
+bb:=1/(b*p-a*q)*(1/(a*x+b)+p/(b*p-a*q)*log((p*x+q)/(a*x+b)))
+--R 
+--R
+--R                                  p x + q
+--R                 (a p x + b p)log(-------) - a q + b p
+--R                                  a x + b
+--R   (2)  ------------------------------------------------------
+--R          3 2     2           2 2      2   2       2       3 2
+--R        (a q  - 2a b p q + a b p )x + a b q  - 2a b p q + b p
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 9 of 11
+cc:=aa-bb
+--R 
+--R
+--R                                                p x + q
+--R        p log(p x + q) - p log(a x + b) - p log(-------)
+--R                                                a x + b
+--R   (3)  ------------------------------------------------
+--R                      2 2               2 2
+--R                     a q  - 2a b p q + b p
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.108~~~~~$\displaystyle\int{\frac{x~dx}{(ax+b)^2(px+q)}}$}
+$$\int{\frac{x~dx}{(ax+b)^2(px+q)}}=
+\frac{1}{bp-aq}
+\left\{\frac{q}{bp-aq}
+~\ln\left(\frac{ax+b}{px+q}\right)-\frac{b}{a(ax+b)}\right\}$$
+
+<<*>>=
+)clear all
+
+--S 10 of 11
+aa:=integrate(x/((a*x+b)^2*(p*x+q)),x)
+--R 
+--R
+--R   (1)
+--R       2                             2                                    2
+--R   (- a q x - a b q)log(p x + q) + (a q x + a b q)log(a x + b) + a b q - b p
+--R   -------------------------------------------------------------------------
+--R              4 2     3         2 2 2      3   2     2 2         3 2
+--R            (a q  - 2a b p q + a b p )x + a b q  - 2a b p q + a b p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 11 of 11
+bb:=1/(b*p-a*q)*(q/(b*p-a*q)*log((a*x+b)/(p*x+q))-b/(a*(a*x+b)))
+--R 
+--R
+--R                  2                a x + b             2
+--R                (a q x + a b q)log(-------) + a b q - b p
+--R                                   p x + q
+--R   (2)  --------------------------------------------------------
+--R          4 2     3         2 2 2      3   2     2 2         3 2
+--R        (a q  - 2a b p q + a b p )x + a b q  - 2a b p q + a b p
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+cc:=aa-bb
+--R 
+--R
+--R                                                  a x + b
+--R        - q log(p x + q) + q log(a x + b) - q log(-------)
+--R                                                  p x + q
+--R   (3)  --------------------------------------------------
+--R                       2 2               2 2
+--R                      a q  - 2a b p q + b p
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.109~~~~~$\displaystyle
+\int{\frac{x^2~dx}{(ax+b)^2(px+q)}}$}
+$$\int{\frac{x^2~dx}{(ax+b)^2(px+q)}}=$$
+$$\frac{b^2}{(bp-aq)a^2(ax+b)}+\frac{1}{(bp-aq)^2}
+\left\{\frac{q^2}{p}~\ln(px+q)+\frac{b(bp-2aq)}{a^2}~\ln(ax+b)\right\}$$
+<<*>>=
+)clear all
+
+--S 
+aa:=integrate(x^2/((a*x+b)^2*(p*x+q)),x)
+--R 
+--R
+--R   (1)
+--R         3 2     2   2
+--R       (a q x + a b q )log(p x + q)
+--R     + 
+--R             2           2 2         2       3 2                   2       3 2
+--R       ((- 2a b p q + a b p )x - 2a b p q + b p )log(a x + b) - a b p q + b p
+--R  /
+--R       5   2     4   2     3 2 3      4     2     3 2 2     2 3 3
+--R     (a p q  - 2a b p q + a b p )x + a b p q  - 2a b p q + a b p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 
+bb:=b^2/((b*p-a*q)*a^2*(a*x+b))+_
+     1/(b*p-a*q)^2*(q^2/p*log(p*x+q)+((b*(b*p-2*a*q))/a^2)*log(a*x+b))
+--R 
+--R
+--R   (2)
+--R         3 2     2   2
+--R       (a q x + a b q )log(p x + q)
+--R     + 
+--R             2           2 2         2       3 2                   2       3 2
+--R       ((- 2a b p q + a b p )x - 2a b p q + b p )log(a x + b) - a b p q + b p
+--R  /
+--R       5   2     4   2     3 2 3      4     2     3 2 2     2 3 3
+--R     (a p q  - 2a b p q + a b p )x + a b p q  - 2a b p q + a b p
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 
+cc:=aa-bb
+--R 
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.110~~~~~$\displaystyle\int{\frac{dx}{(ax+b)^m(px+q)^n}}$}
+$$\int{\frac{dx}{(ax+b)^m(px+q)^n}}=$$
+$$\frac{-1}{(n-1)(bp-aq)}
+\left\{\frac{1}{(ax+b)^{m-1}(px+q)^{n-1}}+
+a(m+n-2)~\int{\frac{dx}{(ax+b)^m(px+q)^{n-1}}}\right\}$$
+<<*>>=
+)clear all
+
+--S 
+aa:=integrate(1/((a*x+b)^m*(p*x+q)^n),x)
+--R 
+--R
+--R           x
+--R         ++             1
+--I   (1)   |   ---------------------- d%L
+--R        ++             m          n
+--I             (b + %L a) (q + %L p)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 
+dd:=integrate(1/((a*x+b)^m*(p*x+q)^(n-1)),x)
+--R 
+--R
+--R           x
+--R         ++               1
+--I   (2)   |   -------------------------- d%L
+--R        ++             m          n - 1
+--I             (b + %L a) (q + %L p)
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+<<*>>=
+--S 
+bb:=-1/((n-1)*(b*p-a*q))*(1/((a*x+b)^(m-1)*(p*x+q)^(n-1))+a*(m+n-2)*dd)
+--R 
+--R
+--R   (3)
+--R                                  m - 1         n - 1
+--R         (a n + a m - 2a)(a x + b)     (p x + q)
+--R      *
+--R            x
+--R          ++               1
+--I          |   -------------------------- d%L
+--R         ++             m          n - 1
+--I              (b + %L a) (q + %L p)
+--R     + 
+--R       1
+--R  /
+--R                                         m - 1         n - 1
+--R     ((a n - a)q + (- b n + b)p)(a x + b)     (p x + q)
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 
+cc:=aa-bb
+--R 
+--R
+--R   (4)
+--R                                    m - 1         n - 1
+--R         (- a n - a m + 2a)(a x + b)     (p x + q)
+--R      *
+--R            x
+--R          ++               1
+--I          |   -------------------------- d%L
+--R         ++             m          n - 1
+--I              (b + %L a) (q + %L p)
+--R     + 
+--R                                             m - 1         n - 1
+--R         ((a n - a)q + (- b n + b)p)(a x + b)     (p x + q)
+--R      *
+--R            x
+--R          ++             1
+--I          |   ---------------------- d%L
+--R         ++             m          n
+--I              (b + %L a) (q + %L p)
+--R     + 
+--R       - 1
+--R  /
+--R                                         m - 1         n - 1
+--R     ((a n - a)q + (- b n + b)p)(a x + b)     (p x + q)
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.111~~~~~$\displaystyle\int{\frac{ax+b}{px+q}~dx}$}
+$$\int{\frac{ax+b}{px+q}~dx}=\frac{ax}{p}+\frac{bp-aq}{p^2}~\ln(px+q)$$
+<<*>>=
+)clear all
+
+--S 
+aa:=integrate((a*x+b)/(p*x+q),x)
+--R 
+--R
+--R        (- a q + b p)log(p x + q) + a p x
+--R   (1)  ---------------------------------
+--R                         2
+--R                        p
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+<<*>>=
+--S 
+bb:=(a*x)/p+(b*p-a*q)/p^2*log(p*x+q)
+--R 
+--R
+--R        (- a q + b p)log(p x + q) + a p x
+--R   (2)  ---------------------------------
+--R                         2
+--R                        p
+--R                                                     Type: Expression Integer
+--E
+@
+<<*>>=
+--S 
+cc:=aa-bb
+--R 
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+@
+
+\section{\cite{1}:14.112~~~~~$\displaystyle\int{\frac{(ax+b)^m}{(px+q)^n}~dx}$}
+$$\int{\frac{(ax+b)^m}{(px+q)^n}~dx}=\left\{
+\begin{array}{c}
+\frac{-1}{(n-1)(bp-aq)}
+\left\{\frac{(ax+b)^{m+1}}{(px+q)^{n-1}}+(n-m-2)a
+\int{\frac{(ax+b)^m}{(px+q)^{n-1}}}~dx\right\}\\
+\frac{-1}{(n-m-1)p}+\left\{\frac{(ax+b)^m}{(px+q)^{n-1}}+m(bp-aq)
+\int{\frac{(ax+b)^{m-1}}{(px+q)^n}}~dx\right\}\\
+\frac{-1}{(n-1)p}\left\{\frac{(ax+b)^m}{(px+q)^{n-1}}-ma
+\int{\frac{(ax+b)^{m-1}}{(px+q)^{n-1}}}~dx\right\}
+\end{array}
+\right.$$
+<<*>>=
+)clear all
+
+--S 
+aa:=integrate((a*x+b)^m/(p*x+q)^n,x)
+--R 
+--R
+--R           x           m
+--I         ++  (b + %L a)
+--I   (1)   |   ----------- d%L
+--R        ++             n
+--I             (q + %L p)
+--R                                          Type: Union(Expression Integer,...)
+--R
+--E
+<<*>>=
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp62-63
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum4.input.pamphlet b/src/input/schaum4.input.pamphlet
new file mode 100644
index 0000000..b57e857
--- /dev/null
+++ b/src/input/schaum4.input.pamphlet
@@ -0,0 +1,212 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum4.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.113~~~~~$\displaystyle\int{\frac{px+q}{\sqrt{ax+b}}}~dx$}
+$$\int{\frac{px+q}{\sqrt{ax+b}}}=
+\frac{2(apx+3aq-2bp)}{3a^2}\sqrt{ax+b}$$
+<<*>>=
+)spool schaum4.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 7
+aa:=integrate((p*x+q)/sqrt(a*x+b),x)
+--R 
+--R
+--R                               +-------+
+--R        (2a p x + 6a q - 4b p)\|a x + b
+--R   (1)  --------------------------------
+--R                         2
+--R                       3a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.114~~~~~$\displaystyle
+\int{\frac{dx}{(px+q)\sqrt{ax+b}}}~dx$}
+$$\int{\frac{dx}{(px+q)\sqrt{ax+b}}}=
+\left\{
+\begin{array}{l}
+\frac{1}{\sqrt{bp-aq}\sqrt{p}}\ln\left(
+\frac{\sqrt{p(ax+b)}-\sqrt{bp-aq}}{\sqrt{p(ax+b)}+\sqrt{bp-aq}}\right)\\
+\frac{2}{\sqrt{aq-bp}\sqrt{p}}\tan^{-1}\sqrt{\frac{p(ax+b)}{aq-bp}}
+\end{array}
+\right.
+$$
+<<*>>=
+)clear all
+
+--S 2 of 7
+aa:=integrate(1/((p*x+q)*sqrt(a*x+b)),x)
+--R 
+--R
+--R   (1)
+--R                                                          +--------------+
+--R                      2  +-------+                        |             2
+--R        (2a p q - 2b p )\|a x + b  + (a p x - a q + 2b p)\|- a p q + b p
+--R    log(------------------------------------------------------------------)
+--R                                      p x + q
+--R   [-----------------------------------------------------------------------,
+--R                                +--------------+
+--R                                |             2
+--R                               \|- a p q + b p
+--R           +------------+
+--R           |           2  +-------+
+--R          \|a p q - b p  \|a x + b
+--R    2atan(-------------------------)
+--R                  a q - b p
+--R    --------------------------------]
+--R              +------------+
+--R              |           2
+--R             \|a p q - b p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.115~~~~~$\displaystyle\int{\frac{\sqrt{ax+b}}{px+q}}~dx$}
+$$\int{\frac{\sqrt{ax+b}}{px+q}}=
+\left\{
+\begin{array}{l}
+\frac{2\sqrt{ax+b}}{p}+\frac{\sqrt{bp-aq}}{p\sqrt{p}}\ln\left(
+\frac{\sqrt{p(ax+b)}-\sqrt{bp-aq}}{\sqrt{p(ax+b)}+\sqrt{bp-aq}}\right)\\
+\frac{2\sqrt{ax+b}}{p}-\frac{2\sqrt{aq-bp}}{p\sqrt{p}}
+\tan^{-1}\sqrt{\frac{p(ax+b)}{aq-bp}}
+\end{array}
+\right.$$
+<<*>>=
+)clear all
+
+--S 3 of 7
+aa:=integrate(sqrt(a*x+b)/(p*x+q),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R                                +-----------+
+--R                                |- a q + b p  +-------+
+--R          +-----------+    - 2p |----------- \|a x + b  + a p x - a q + 2b p
+--R          |- a q + b p         \|     p
+--R          |----------- log(-------------------------------------------------)
+--R         \|     p                               p x + q
+--R       + 
+--R           +-------+
+--R         2\|a x + b
+--R    /
+--R       p
+--R     ,
+--R         +---------+       +-------+
+--R         |a q - b p       \|a x + b       +-------+
+--R    - 2  |--------- atan(------------ + 2\|a x + b
+--R        \|    p           +---------+
+--R                          |a q - b p
+--R                          |---------
+--R                         \|    p
+--R    -----------------------------------------------]
+--R                           p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.116~~~~~$\displaystyle\int{(px+b)^n\sqrt{ax+b}}~dx$}
+$$\int{(px+b)^n\sqrt{ax+b}}=
+\frac{2(px+q)^{n+1}\sqrt{ax+b}}{(2n+3)p}+\frac{bp-aq}{(2n+3)p}
+\int{\frac{(px+q)^n}{\sqrt{ax+b}}}~dx$$
+
+<<*>>=
+)clear all
+
+--S 4 of 7
+aa:=integrate((p*x+q)^n*sqrt(a*x+b),x)
+--R 
+--R
+--R           x
+--R         ++            n +--------+
+--I   (1)   |   (q + %L p) \|b + %L a d%L
+--R        ++
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.117~~~~~$\displaystyle
+\int{\frac{dx}{(px+b)^n\sqrt{ax+b}}}$}
+$$\int{\frac{dx}{(px+b)^n\sqrt{ax+b}}}=
+\frac{\sqrt{ax+b}}{(n-1)(aq-bp)(px+q)^{n-1}}+
+\frac{(2n-3)a}{2(n-1)(aq-bp)}
+\int{\frac{dx}{(px+q)^{n-1}\sqrt{ax+b}}}$$
+
+<<*>>=
+)clear all
+
+--S 5 of 7
+aa:=integrate(1/((p*x+q)^n*sqrt(a*x+b)),x)
+--R 
+--R
+--R           x
+--R         ++             1
+--I   (1)   |   ---------------------- d%L
+--R        ++             n +--------+
+--I             (q + %L p) \|b + %L a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.118~~~~~$\displaystyle
+\int{\frac{(px+q)^n}{\sqrt{ax+b}}}~dx$}
+$$\int{\frac{(px+q)^n}{\sqrt{ax+b}}}=
+\frac{2(px+q)^n\sqrt{ax+b}}{(2n+1)a}+
+\frac{2n(aq-bp)}{(2n+1)a}
+\int{\frac{(px+q)^{n-1}}{\sqrt{ax+b}}}$$
+<<*>>=
+)clear all
+
+--S 6 of 7
+aa:=integrate((p*x+q)^n/sqrt(a*x+b),x)
+--R 
+--R
+--R           x           n
+--I         ++  (q + %L p)
+--I   (1)   |   ----------- d%L
+--R        ++    +--------+
+--I             \|b + %L a
+--R                                          Type: Union(Expression Integer,...)
+--E
+@
+
+\section{\cite{1}:14.119~~~~~$\displaystyle
+\int{\frac{\sqrt{ax+b}}{(px+q)^n}}~dx$}
+$$\int{\frac{\sqrt{ax+b}}{(px+q)^n}}=
+\frac{-\sqrt{ax+b}}{(n-1)p(px+q)^{n-1}}+
+\frac{a}{2(n-1)p}\int{\frac{dx}{(px+q)^{n-1}\sqrt{ax+b}}}$$
+<<*>>=
+)clear all
+
+--S 7 of 7
+aa:=integrate(sqrt(a*x+b)/(p*x+q)^n,x)
+--R 
+--R
+--R           x  +--------+
+--I         ++  \|b + %L a
+--I   (1)   |   ----------- d%L
+--R        ++             n
+--I             (q + %L p)
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 p63
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum5.input.pamphlet b/src/input/schaum5.input.pamphlet
new file mode 100644
index 0000000..a784b92
--- /dev/null
+++ b/src/input/schaum5.input.pamphlet
@@ -0,0 +1,367 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum5.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.120~~~~~$\displaystyle
+\int{\frac{dx}{\sqrt{(ax+b)(px+q)}}}$}
+$$\int{\frac{dx}{\sqrt{(ax+b)(px+q)}}}=
+\left\{
+\begin{array}{l}
+\frac{2}{\sqrt{ap}}\ln\left(\sqrt{a(px+q)}+\sqrt{p(ax+b)}\right)\\
+\frac{2}{\sqrt{-ap}}\tan^{-1}\sqrt{\frac{-p(ax+b)}{a(px+b)}}
+\end{array}
+\right.$$
+<<*>>=
+)spool schaum5.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 5
+aa:=integrate(1/sqrt((a*x+b)*(p*x+q)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R       log
+--R                                       +---------------------------+
+--R                 +---+ +---+           |     2
+--R              (2\|a p \|b q  - 2a p x)\|a p x  + (a q + b p)x + b q
+--R            + 
+--R                     +---+            2                          +---+
+--R              2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R         /
+--R                    +---------------------------+
+--R              +---+ |     2
+--R            2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R    /
+--R        +---+
+--R       \|a p
+--R     ,
+--R                   +---------------------------+
+--R           +-----+ |     2                          +-----+ +---+
+--R          \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R    2atan(-------------------------------------------------------)
+--R                                   a p x
+--R    --------------------------------------------------------------]
+--R                                +-----+
+--R                               \|- a p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.121~~~~~$\displaystyle
+\int{\frac{x~dx}{\sqrt{(ax+b)(px+q)}}}$}
+$$\int{\frac{x~dx}{\sqrt{(ax+b)(px+q)}}}=
+\frac{\sqrt{(ax+b)(px+q)}}{ap}-\frac{bp+aq}{2ap}
+\int{\frac{dx}{\sqrt{(ax+b)(px+q)}}}
+$$
+<<*>>=
+)clear all
+
+--S 2 of 5
+aa:=integrate(x/sqrt((a*x+b)*(p*x+q)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R                                 +---------------------------+
+--R                           +---+ |     2
+--R             (2a q + 2b p)\|b q \|a p x  + (a q + b p)x + b q
+--R           + 
+--R                 2 2               2 2           2     2
+--R             (- a q  - 2a b p q - b p )x - 2a b q  - 2b p q
+--R        *
+--R           log
+--R                                           +---------------------------+
+--R                     +---+ +---+           |     2
+--R                  (2\|a p \|b q  + 2a p x)\|a p x  + (a q + b p)x + b q
+--R                + 
+--R                           +---+            2                          +---+
+--R                  - 2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R             /
+--R                        +---------------------------+
+--R                  +---+ |     2
+--R                2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R       + 
+--R                                +---------------------------+
+--R                          +---+ |     2
+--R         (- 2a q - 2b p)x\|a p \|a p x  + (a q + b p)x + b q
+--R       + 
+--R                2                   +---+ +---+
+--R         (4a p x  + (2a q + 2b p)x)\|a p \|b q
+--R    /
+--R                          +---------------------------+
+--R              +---+ +---+ |     2
+--R         4a p\|a p \|b q \|a p x  + (a q + b p)x + b q
+--R       + 
+--R               2            2               +---+
+--R         ((- 2a p q - 2a b p )x - 4a b p q)\|a p
+--R     ,
+--R
+--R                                   +---------------------------+
+--R                             +---+ |     2
+--R             (- 2a q - 2b p)\|b q \|a p x  + (a q + b p)x + b q
+--R           + 
+--R               2 2               2 2           2     2
+--R             (a q  + 2a b p q + b p )x + 2a b q  + 2b p q
+--R        *
+--R                         +---------------------------+
+--R                 +-----+ |     2                          +-----+ +---+
+--R                \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R           atan(-------------------------------------------------------)
+--R                                         a p x
+--R       + 
+--R                                +---------------------------+
+--R                        +-----+ |     2
+--R         (- a q - b p)x\|- a p \|a p x  + (a q + b p)x + b q
+--R       + 
+--R                2                 +-----+ +---+
+--R         (2a p x  + (a q + b p)x)\|- a p \|b q
+--R    /
+--R                            +---------------------------+
+--R              +-----+ +---+ |     2
+--R         2a p\|- a p \|b q \|a p x  + (a q + b p)x + b q
+--R       + 
+--R              2           2               +-----+
+--R         ((- a p q - a b p )x - 2a b p q)\|- a p
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.122~~~~~$\displaystyle\int{\sqrt{(ax+b)(px+q)}}~dx$}
+$$\int{\sqrt{(ax+b)(px+q)}}=
+\frac{2apx+bp+aq}{4ap}\sqrt{(ax+b)(px+q)}-
+\frac{(bp-aq)^2}{8ap}\int{\frac{dx}{\sqrt{(ax+b)(px+q)}}}
+$$
+<<*>>=
+)clear all
+
+--S 3 of 5
+aa:=integrate(sqrt((a*x+b)*(p*x+q)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R                    3 3     2     2       2 2      3 3       2   3        2   2
+--R                 (4a q  - 4a b p q  - 4a b p q + 4b p )x + 8a b q  - 16a b p q
+--R               + 
+--R                   3 2
+--R                 8b p q
+--R            *
+--R                      +---------------------------+
+--R                +---+ |     2
+--R               \|b q \|a p x  + (a q + b p)x + b q
+--R           + 
+--R                 4 4     3     3      2 2 2 2       3 3     4 4  2
+--R             (- a q  - 4a b p q  + 10a b p q  - 4a b p q - b p )x
+--R           + 
+--R                  3   4     2 2   3       3 2 2     4 3        2 2 4
+--R             (- 8a b q  + 8a b p q  + 8a b p q  - 8b p q)x - 8a b q
+--R           + 
+--R                  3   3     4 2 2
+--R             16a b p q  - 8b p q
+--R        *
+--R           log
+--R                                           +---------------------------+
+--R                     +---+ +---+           |     2
+--R                  (2\|a p \|b q  + 2a p x)\|a p x  + (a q + b p)x + b q
+--R                + 
+--R                           +---+            2                          +---+
+--R                  - 2a p x\|b q  + (- 2a p x  + (- a q - b p)x - 2b q)\|a p
+--R             /
+--R                        +---------------------------+
+--R                  +---+ |     2
+--R                2\|b q \|a p x  + (a q + b p)x + b q  + (- a q - b p)x - 2b q
+--R       + 
+--R                  3   2      2   2        2 3  3
+--R             (- 4a p q  - 24a b p q - 4a b p )x
+--R           + 
+--R                  3 3      2     2        2 2      3 3  2
+--R             (- 2a q  - 46a b p q  - 46a b p q - 2b p )x
+--R           + 
+--R                  2   3        2   2     3 2
+--R             (- 8a b q  - 48a b p q  - 8b p q)x
+--R        *
+--R                  +---------------------------+
+--R            +---+ |     2
+--R           \|a p \|a p x  + (a q + b p)x + b q
+--R       + 
+--R                 3 2       2   3  4       3   2      2   2         2 3  3
+--R             (16a p q + 16a b p )x  + (24a p q  + 80a b p q + 24a b p )x
+--R           + 
+--R                3 3      2     2        2 2      3 3  2
+--R             (6a q  + 74a b p q  + 74a b p q + 6b p )x
+--R           + 
+--R                2   3        2   2     3 2
+--R             (8a b q  + 48a b p q  + 8b p q)x
+--R        *
+--R            +---+ +---+
+--R           \|a p \|b q
+--R    /
+--R                2             2                +---+ +---+
+--R           ((32a p q + 32a b p )x + 64a b p q)\|a p \|b q
+--R        *
+--R            +---------------------------+
+--R            |     2
+--R           \|a p x  + (a q + b p)x + b q
+--R       + 
+--R                  3   2      2   2        2 3  2         2     2        2 2
+--R             (- 8a p q  - 48a b p q - 8a b p )x  + (- 64a b p q  - 64a b p q)x
+--R           + 
+--R                    2   2
+--R             - 64a b p q
+--R        *
+--R            +---+
+--R           \|a p
+--R     ,
+--R
+--R                      3 3     2     2       2 2      3 3       2   3
+--R                 (- 4a q  + 4a b p q  + 4a b p q - 4b p )x - 8a b q
+--R               + 
+--R                      2   2     3 2
+--R                 16a b p q  - 8b p q
+--R            *
+--R                      +---------------------------+
+--R                +---+ |     2
+--R               \|b q \|a p x  + (a q + b p)x + b q
+--R           + 
+--R               4 4     3     3      2 2 2 2       3 3     4 4  2
+--R             (a q  + 4a b p q  - 10a b p q  + 4a b p q + b p )x
+--R           + 
+--R                3   4     2 2   3       3 2 2     4 3        2 2 4        3   3
+--R             (8a b q  - 8a b p q  - 8a b p q  + 8b p q)x + 8a b q  - 16a b p q
+--R           + 
+--R               4 2 2
+--R             8b p q
+--R        *
+--R                         +---------------------------+
+--R                 +-----+ |     2                          +-----+ +---+
+--R                \|- a p \|a p x  + (a q + b p)x + b q  - \|- a p \|b q
+--R           atan(-------------------------------------------------------)
+--R                                         a p x
+--R       + 
+--R                  3   2      2   2        2 3  3
+--R             (- 2a p q  - 12a b p q - 2a b p )x
+--R           + 
+--R                 3 3      2     2        2 2     3 3  2
+--R             (- a q  - 23a b p q  - 23a b p q - b p )x
+--R           + 
+--R                  2   3        2   2     3 2
+--R             (- 4a b q  - 24a b p q  - 4b p q)x
+--R        *
+--R                    +---------------------------+
+--R            +-----+ |     2
+--R           \|- a p \|a p x  + (a q + b p)x + b q
+--R       + 
+--R                3 2      2   3  4       3   2      2   2         2 3  3
+--R             (8a p q + 8a b p )x  + (12a p q  + 40a b p q + 12a b p )x
+--R           + 
+--R                3 3      2     2        2 2      3 3  2
+--R             (3a q  + 37a b p q  + 37a b p q + 3b p )x
+--R           + 
+--R                2   3        2   2     3 2
+--R             (4a b q  + 24a b p q  + 4b p q)x
+--R        *
+--R            +-----+ +---+
+--R           \|- a p \|b q
+--R    /
+--R                2             2                +-----+ +---+
+--R           ((16a p q + 16a b p )x + 32a b p q)\|- a p \|b q
+--R        *
+--R            +---------------------------+
+--R            |     2
+--R           \|a p x  + (a q + b p)x + b q
+--R       + 
+--R                  3   2      2   2        2 3  2         2     2        2 2
+--R             (- 4a p q  - 24a b p q - 4a b p )x  + (- 32a b p q  - 32a b p q)x
+--R           + 
+--R                    2   2
+--R             - 32a b p q
+--R        *
+--R            +-----+
+--R           \|- a p
+--R     ]
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.123~~~~~$\displaystyle\int{\sqrt{\frac{px+q}{ax+b}}}~dx$}
+$$\int{\sqrt{\frac{px+q}{ax+b}}}=
+\frac{\sqrt{(ax+b)(px+q)}}{a}+\frac{aq-bp}{2a}
+\int{\frac{dx}{\sqrt{(ax+b)(px+q)}}}
+$$
+<<*>>=
+)clear all
+
+--S 4 of 5
+aa:=integrate(sqrt((p*x+q)/(a*x+b)),x)
+--R 
+--R
+--R   (1)
+--R   [
+--R           (a q - b p)
+--R        *
+--R                                                              +-------+
+--R                                    +---+      2              |p x + q
+--R           log((2a p x + a q + b p)\|a p  + (2a p x + 2a b p) |------- )
+--R                                                             \|a x + b
+--R       + 
+--R                     +-------+
+--R                     |p x + q  +---+
+--R         (2a x + 2b) |------- \|a p
+--R                    \|a x + b
+--R    /
+--R          +---+
+--R       2a\|a p
+--R     ,
+--R                             +-------+
+--R                     +-----+ |p x + q
+--R                    \|- a p  |-------                       +-------+
+--R                            \|a x + b               +-----+ |p x + q
+--R    (a q - b p)atan(------------------) + (a x + b)\|- a p  |-------
+--R                             p                             \|a x + b
+--R    -----------------------------------------------------------------]
+--R                                  +-----+
+--R                                a\|- a p
+--R                                     Type: Union(List Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.124~~~~~$\displaystyle
+\int{\frac{dx}{(px+q)\sqrt{(ax+b)(px+q)}}}~dx$}
+$$\int{\frac{dx}{(px+q)\sqrt{(ax+b)(px+q)}}}=
+\frac{2\sqrt{ax+b}}{(aq-bp)\sqrt{px+q}}
+$$
+<<*>>=
+)clear all
+
+--S 5 of 5
+aa:=integrate(1/((p*x+q)*sqrt((a*x+b)*(p*x+q))),x)
+--R 
+--R
+--R                                 2x
+--R   (1)  ---------------------------------------------------
+--R          +---------------------------+
+--R          |     2                                     +---+
+--R        q\|a p x  + (a q + b p)x + b q  + (- p x - q)\|b q
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 pp63-64
+\end{thebibliography}
+\end{document}
diff --git a/src/input/schaum6.input.pamphlet b/src/input/schaum6.input.pamphlet
new file mode 100644
index 0000000..1a4b430
--- /dev/null
+++ b/src/input/schaum6.input.pamphlet
@@ -0,0 +1,400 @@
+\documentclass{article}
+\usepackage{axiom}
+\begin{document}
+\title{\$SPAD/input schaum6.input}
+\author{Timothy Daly}
+\maketitle
+\eject
+\tableofcontents
+\eject
+\section{\cite{1}:14.125~~~~~$\displaystyle\int{\frac{dx}{x^2+a^2}}$}
+$$\int{\frac{dx}{x^2+a^2}}=\frac{1}{a}\tan^{-1}\frac{x}{a}$$
+<<*>>=
+)spool schaum6.output
+)set message test on
+)set message auto off
+)clear all
+
+--S 1 of 19
+aa:=integrate(1/(x^2+a^2),x)
+--R 
+--R
+--R             x
+--R        atan(-)
+--R             a
+--R   (1)  -------
+--R           a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.126~~~~~$\displaystyle\int{\frac{x~dx}{x^2+a^2}}$}
+$$\int{\frac{x~dx}{x^2+a^2}}=\frac{1}{2}\ln(x^2+a^2)$$
+<<*>>=
+)clear all
+
+--S 2 of 19
+aa:=integrate(x/(x^2+a^2),x)
+--R 
+--R
+--R             2    2
+--R        log(x  + a )
+--R   (1)  ------------
+--R              2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.127~~~~~$\displaystyle\int{\frac{x^2~dx}{x^2+a^2}}$}
+$$\int{\frac{x^2~dx}{x^2+a^2}}=x-a\tan^{-1}\frac{x}{a}$$
+<<*>>=
+)clear all
+
+--S 3 of 19
+aa:=integrate(x^2/(x^2+a^2),x)
+--R 
+--R
+--R                 x
+--R   (1)  - a atan(-) + x
+--R                 a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.128~~~~~$\displaystyle\int{\frac{x^3~dx}{x^2+a^2}}$}
+$$\int{\frac{x^3~dx}{x^2+a^2}}=\frac{x^2}{2}-\frac{a^2}{2}\ln(x^2+a^2)$$
+
+<<*>>=
+)clear all
+
+--S 4 of 19
+aa:=integrate(x^3/(x^2+a^2),x)
+--R 
+--R
+--R           2     2    2     2
+--R        - a log(x  + a ) + x
+--R   (1)  ---------------------
+--R                  2
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.129~~~~~$\displaystyle\int{\frac{dx}{x(x^2+a^2)}}~dx$}
+$$\int{\frac{dx}{x(x^2+a^2)}}=
+\frac{1}{2a^2}\ln\left(\frac{x^2}{x^2+a^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 5 of 19
+aa:=integrate(1/(x*(x^2+a^2)),x)
+--R 
+--R
+--R               2    2
+--R        - log(x  + a ) + 2log(x)
+--R   (1)  ------------------------
+--R                     2
+--R                   2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.130~~~~~$\displaystyle\int{\frac{dx}{x^2(x^2+a^2)}}~dx$}
+$$\int{\frac{dx}{x^2(x^2+a^2)}}=
+-\frac{1}{a^2x}-\frac{1}{a^3}\tan^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 6 of 19
+aa:=integrate(1/(x^2*(x^2+a^2)),x)
+--R 
+--R
+--R                 x
+--R        - x atan(-) - a
+--R                 a
+--R   (1)  ---------------
+--R               3
+--R              a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.131~~~~~$\displaystyle\int{\frac{dx}{x^3(x^2+a^2)}}~dx$}
+$$\int{\frac{dx}{x^3(x^2+a^2)}}=
+-\frac{1}{2a^2x^2}-\frac{1}{2a^4}\ln\left(\frac{x^2}{x^2+a^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 7 of 19
+aa:=integrate(1/(x^3*(x^2+a^2)),x)
+--R 
+--R
+--R         2     2    2      2          2
+--R        x log(x  + a ) - 2x log(x) - a
+--R   (1)  -------------------------------
+--R                       4 2
+--R                     2a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.132~~~~~$\displaystyle\int{\frac{dx}{(x^2+a^2)^2}}~dx$}
+$$\int{\frac{dx}{(x^2+a^2)^2}}=
+\frac{x}{2a^2(x^2+a^2)}+\frac{1}{2a^3}\tan^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 8 of 19
+aa:=integrate(1/((x^2+a^2)^2),x)
+--R 
+--R
+--R          2    2      x
+--R        (x  + a )atan(-) + a x
+--R                      a
+--R   (1)  ----------------------
+--R                3 2     5
+--R              2a x  + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.133~~~~~$\displaystyle\int{\frac{x~dx}{(x^2+a^2)^2}}~dx$}
+$$\int{\frac{x~dx}{(x^2+a^2)^2}}=
+\frac{-1}{2(x^2+a^2)}
+$$
+<<*>>=
+)clear all
+
+--S 9 of 19
+aa:=integrate(x/((x^2+a^2)^2),x)
+--R 
+--R
+--R              1
+--R   (1)  - ---------
+--R            2     2
+--R          2x  + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.134~~~~~$\displaystyle\int{\frac{x^2dx}{(x^2+a^2)^2}}~dx$}
+$$\int{\frac{x^2dx}{(x^2+a^2)^2}}=
+\frac{-x}{2(x^2+a^2)}+\frac{1}{2a}\tan^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 10 of 19
+aa:=integrate(x^2/((x^2+a^2)^2),x)
+--R 
+--R
+--R          2    2      x
+--R        (x  + a )atan(-) - a x
+--R                      a
+--R   (1)  ----------------------
+--R                  2     3
+--R              2a x  + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.135~~~~~$\displaystyle\int{\frac{x^3dx}{(x^2+a^2)^2}}~dx$}
+$$\int{\frac{x^3dx}{(x^2+a^2)^2}}=
+\frac{a^2}{2(x^2+a^2)}+\frac{1}{2}\ln(x^2+a^2)
+$$
+<<*>>=
+)clear all
+
+--S 11 of 19
+aa:=integrate(x^3/((x^2+a^2)^2),x)
+--R 
+--R
+--R          2    2      2    2     2
+--R        (x  + a )log(x  + a ) + a
+--R   (1)  --------------------------
+--R                   2     2
+--R                 2x  + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.136~~~~~$\displaystyle\int{\frac{dx}{x(x^2+a^2)^2}}~dx$}
+$$\int{\frac{dx}{x(x^2+a^2)^2}}=
+\frac{1}{2a^2(x^2+a^2)}+\frac{1}{2a^4}\ln\left(\frac{x^2}{x^2+a^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 12 of 19
+aa:=integrate(1/(x*(x^2+a^2)^2),x)
+--R 
+--R
+--R            2    2      2    2       2     2           2
+--R        (- x  - a )log(x  + a ) + (2x  + 2a )log(x) + a
+--R   (1)  ------------------------------------------------
+--R                             4 2     6
+--R                           2a x  + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.137~~~~~$\displaystyle\int{\frac{dx}{x^2(x^2+a^2)^2}}~dx$}
+$$\int{\frac{dx}{x^2(x^2+a^2)^2}}=
+-\frac{1}{a^4x}-\frac{x}{2a^4(x^2+a^2)}-\frac{3}{2a^5}\tan^{-1}\frac{x}{a}
+$$
+<<*>>=
+)clear all
+
+--S 13 of 19
+aa:=integrate(1/((x^2+a^2)^2),x)
+--R 
+--R
+--R          2    2      x
+--R        (x  + a )atan(-) + a x
+--R                      a
+--R   (1)  ----------------------
+--R                3 2     5
+--R              2a x  + 2a
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.138~~~~~$\displaystyle\int{\frac{dx}{x^3(x^2+a^2)^2}}~dx$}
+$$\int{\frac{dx}{x^3(x^2+a^2)^2}}=
+-\frac{1}{2a^4x^2}-\frac{1}{2a^4(x^2+a^2)}-
+\frac{1}{a^6}\ln\left(\frac{x^2}{x^2+a^2}\right)
+$$
+<<*>>=
+)clear all
+
+--S 14 of 19
+aa:=integrate(1/(x^3*(x^2+a^2)^2),x)
+--R 
+--R
+--R           4     2 2      2    2         4     2 2            2 2    4
+--R        (2x  + 2a x )log(x  + a ) + (- 4x  - 4a x )log(x) - 2a x  - a
+--R   (1)  --------------------------------------------------------------
+--R                                   6 4     8 2
+--R                                 2a x  + 2a x
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.139~~~~~$\displaystyle\int{\frac{dx}{(x^2+a^2)^n}}~dx$}
+$$\int{\frac{dx}{(x^2+a^2)^n}}=
+\frac{x}{2(n-1)a^2(x^2+a^2)^{n-1}}+\frac{2n-3}{(2n-2)a^2}
+\int{\frac{dx}{(x^2+a^2)^{n-1}}}
+$$
+<<*>>=
+)clear all
+
+--S 15 of 19
+aa:=integrate(1/((x^2+a^2)^n),x)
+--R 
+--R
+--R           x
+--R         ++       1
+--I   (1)   |   ----------- d%L
+--R        ++     2     2 n
+--I             (a  + %L )
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.140~~~~~$\displaystyle\int{\frac{x~dx}{(x^2+a^2)^n}}~dx$}
+$$\int{\frac{x~dx}{(x^2+a^2)^n}}=
+\frac{-1}{2(n-1)(x^2+a^2)^{n-1}}
+$$
+<<*>>=
+)clear all
+
+--S 16 of 19
+aa:=integrate(x/((x^2+a^2)^n),x)
+--R 
+--R
+--R                   2    2
+--R                - x  - a
+--R   (1)  ------------------------
+--R                         2    2
+--R                  n log(x  + a )
+--R        (2n - 2)%e
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.141~~~~~$\displaystyle\int{\frac{dx}{x(x^2+a^2)^n}}~dx$}
+$$\int{\frac{dx}{x(x^2+a^2)^n}}=
+\frac{1}{2(n-1)a^2(x^2+a^2)^{n-1}}+\frac{1}{a^2}
+\int{\frac{dx}{x(x^2+a^2)^{n-1}}}
+$$
+<<*>>=
+)clear all
+
+--S 17 of 19
+aa:=integrate(1/(x*(x^2+a^2)^n),x)
+--R 
+--R
+--R           x
+--R         ++         1
+--I   (1)   |   -------------- d%L
+--R        ++        2     2 n
+--I             %L (a  + %L )
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.142~~~~~$\displaystyle\int{\frac{x^mdx}{(x^2+a^2)^n}}~dx$}
+$$\int{\frac{x^mdx}{(x^2+a^2)^n}}=
+\int{\frac{x^{m-2}dx}{(x^2+a^2)^{n-1}}} -
+a^2\int{\frac{x^{m-2}dx}{(x^2+a^2)^n}}
+$$
+<<*>>=
+)clear all
+
+--S 18 of 19
+aa:=integrate(x^m/((x^2+a^2)^n),x)
+--R 
+--R
+--R           x       m
+--I         ++      %L
+--I   (1)   |   ----------- d%L
+--R        ++     2     2 n
+--I             (a  + %L )
+--R                                          Type: Union(Expression Integer,...)
+--E 
+@
+
+\section{\cite{1}:14.143~~~~~$\displaystyle\int{\frac{dx}{x^m(x^2+a^2)^n}}~dx$}
+$$\int{\frac{dx}{x^m(x^2+a^2)^n}}=
+\frac{1}{a^2}\int{\frac{dx}{x^m(x^2+a^2)^{n-1}}}-
+\frac{1}{a^2}\int{\frac{dx}{x^{m-2}(x^2+a^2)^n}}
+$$
+<<*>>=
+)clear all
+
+--S 19 of 19
+aa:=integrate(1/(x^m*(x^2+a^2)^n),x)
+--R 
+--R
+--R           x
+--R         ++         1
+--I   (1)   |   -------------- d%L
+--R        ++     m  2     2 n
+--I             %L (a  + %L )
+--R                                          Type: Union(Expression Integer,...)
+--E 
+
+)spool
+)lisp (bye)
+@
+
+\eject
+\begin{thebibliography}{99}
+\bibitem{1} Spiegel, Murray R.
+{\sl Mathematical Handbook of Formulas and Tables}\\
+Schaum's Outline Series McGraw-Hill 1968 p64
+\end{thebibliography}
+\end{document}
